﻿Imports Mouratx.Win

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'For MutliGradient Button 5. Multigradient is defined only on run-time.
        Dim clrItem As clsBackColorInfo.GradientMultiInfoStruct
        Dim LstColors As New List(Of clsBackColorInfo.GradientMultiInfoStruct)

        clrItem.Color = Color.Black : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Yellow : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Green : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Red : clrItem.Position = 0 : LstColors.Add(clrItem)

        MLightButton5.BackColorInfo.ColorGradientMulti = LstColors
        MLightButton5.BackColorInfo.GradientMultiMode = clsBackColorInfo.GradientModeEnum.ForwardDiagonal
        MLightButton5.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.GradientMulti

        'Copy the background to the over state.
        MLightButton5.BackColorInfoOver.CopyFrom(MLightButton5.BackColorInfo)

        MLightButton5.Invalidate()

        Me.NumUpDn.Value = MLightButton1.EnlargePercent

    End Sub
    '------------------------------------------------------
    'Enlarge on/off
    Private Sub chkEnlarge_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkEnlarge.CheckedChanged

        For Each ctl As Control In Me.Controls
            If TypeOf ctl Is MLightButton Then DirectCast(ctl, MLightButton).Enlarge = Me.chkEnlarge.Checked
        Next

    End Sub
    '------------------------------------------------------
    'Change the Enlarge Percent . We restricted between 2 and 20
    Private Sub NumUpDn_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumUpDn.ValueChanged

        For Each ctl As Control In Me.Controls
            If TypeOf ctl Is MLightButton Then DirectCast(ctl, MLightButton).EnlargePercent = Me.NumUpDn.Value
        Next

    End Sub
    '------------------------------------------------------
End Class
